Create a new model for a provider
POST /v1/llm-providers/{provider_id}/models
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Provider ID (prefixed, e.g., prov_…)
Request Body required
Section titled “Request Body required ”Request to create a new LLM model for a provider
object
List of capabilities this model supports (e.g., “chat”, “vision”, “tools”).
Example
[ "chat", "vision", "tools"]Human-readable display name for the model.
Example
GPT-4oWhether this model should be enabled (visible in UI model pickers).
Whether this model should be marked as a favorite for quick access.
The model identifier used by the provider’s API (e.g., “gpt-4”, “claude-3-opus”).
Example
gpt-4oResponses
Section titled “ Responses ”Model created
Wrapper that adds API and UI links to a serialized resource.
Uses self_url (not url) for the API link to avoid collision with
resources that already have a url field (e.g. McpServer).
object
Whether this model is enabled (visible in UI model pickers). All models are available via API regardless of this flag.
Example
model_01933b5a00007000800000000000001Example
provider_01933b5a00007000800000000000001How the model was added to the system
Full API endpoint URL for this resource.
Alias for view_url, used by command and MCP outputs.
Full UI URL for viewing this resource.
Invalid provider ID
Provider not found
Internal error